Update Product Sort Order

Updates sort order of products within a specific category.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

category_idstringRequired

Request

This endpoint expects a list of objects.
product_idintegerRequired>=1
The ID of the associated product.
sort_orderintegerRequired>=0
The relative priority of the product among other products inside the category.

Response

product_idinteger>=1
The ID of the associated product.
sort_orderinteger>=0
The relative priority of the product among other products inside the category.

Errors

403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error